org.springframework.cloud.dataflow.server.service.impl

## Class TaskAppDeploymentRequestCreator

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.TaskAppDeploymentRequestCreator

-     public class TaskAppDeploymentRequestCreator
      extends Object

  Create a `AppDeploymentRequest` from a `TaskDefinition` and deployment properties map.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAppDeploymentRequestCreator(CommonApplicationProperties commonApplicationProperties, ApplicationConfigurationMetadataResolver metaDataResolver, String dataflowServerUri)` Initializes the `TaskAppDeploymentRequestCreator`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cloud.deployer.spi.core.AppDeploymentRequest` | `createRequest(org.springframework.cloud.task.repository.TaskExecution taskExecution, TaskExecutionInformation taskExecutionInformation, List<String> commandLineArgs, String platformName, String platformType)` Create a `AppDeploymentRequest` from the provided `TaskExecutionInformation`, `TaskExecution`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAppDeploymentRequestCreator

          public TaskAppDeploymentRequestCreator(CommonApplicationProperties commonApplicationProperties,
                                                 ApplicationConfigurationMetadataResolver metaDataResolver,
                                                 String dataflowServerUri)

      Initializes the `TaskAppDeploymentRequestCreator`.
      Parameters:
        `commonApplicationProperties` - the common application properties for all tasks
        `metaDataResolver` - the metadata resolver
        `dataflowServerUri` - the URI of the data flow server

  - ### Method Detail

    - #### createRequest

          public org.springframework.cloud.deployer.spi.core.AppDeploymentRequest createRequest(org.springframework.cloud.task.repository.TaskExecution taskExecution,
                                                                                                TaskExecutionInformation taskExecutionInformation,
                                                                                                List<String> commandLineArgs,
                                                                                                String platformName,
                                                                                                String platformType)

      Create a `AppDeploymentRequest` from the provided `TaskExecutionInformation`, `TaskExecution`.
      Parameters:
        `taskExecution` - the task execution
        `taskExecutionInformation` - the task execution info
        `commandLineArgs` - the command line args
        `platformName` - the platform name
      Returns:
        an instance of `AppDeploymentRequest`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.